

local n, t = ...

local function debug(msg)
    print(string.format('[%sGuildbook TSDB|r] %s', msg))
end

local function init()

    if not GUILDBOOK_TSDB then
        GUILDBOOK_TSDB = {}
        debug("created guildbook tradeskill database")
    end
    if not GUILDBOOK_TSDB.recipeItems then
        GUILDBOOK_TSDB.recipeItems = {}
        debug("created guildbook tradeskill database for recipe items")
    end
    if not GUILDBOOK_TSDB.enchantItems then
        GUILDBOOK_TSDB.enchantItems = {}
        debug("created guildbook tradeskill database for enchants")
    end

end

local f = CreateFrame("FRAME")
f:RegisterEvent("ADDON_LOADED")
f:SetScript("OnEvent", function(self, event, ...)
    if event == "ADDON_LOADED" and ... == n then
        init()
        f:UnregisterEvent("ADDON_LOADED")
    end
end)